/*
    $Id: Example.java,v 1.1 1997/07/23 17:57:13 augusto Exp $

    Copyright (C) 1997  Augusto Ciuffoletti

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Contact address: augusto@di.unipi.it

    $Log: Example.java,v $
    Revision 1.1  1997/07/23 17:57:13  augusto
    Initial revision

*/
package syd;

import java.net.*;
import syd.logicalclock.*;

public class Example {
  public static void main(String args[]) 
    throws Exception {
    byte[] send_buffer = new byte[48];
    InetAddress address;
    DatagramPacket packet;
    DatagramSocket socket;
    byte[] buffer;
    LogicalClock lc;
  
    socket = new DatagramSocket();
    address = InetAddress.getByName("localhost");
    buffer = new byte[40];
    packet=new DatagramPacket(buffer,40,address,1200);
    socket.send(packet); // sending packet
    socket.setSoTimeout(1000); // set the timeout
    packet=new DatagramPacket(buffer,40);
    socket.receive(packet); // waiting for response
    lc = new LogicalClock(buffer);
    System.out.println(lc.toString());
    return;
  }
}
