package syd.test;
import syd.inputdata.*;

class Testinputdata {
  static InputData i_d;
  static String intestazione;

  public static void main(String[] args) {
    String test;

    i_d = new InputData(12);
/* Prima prova... */
//    System.out.println("Parsing command line" + args);
    try {
      i_d.parse_command_line(args);
    } catch (CommandLineException e) {
       System.out.println(e.why + e.what);
       return;
    }
    intestazione = i_d.common_header();
    System.out.println(intestazione); 
    intestazione = i_d.toString();
    System.out.println(intestazione); 
/* Seconda prova... */
    String[] t1 = {"-h","123.456.789.123","-m","1","-r","2","-e","3","-d","4","-w","5","-k","6","-l","xxx","-v","-s"};
//    System.out.println("Parsing command line" + test);
    try {
      i_d.parse_command_line(t1);
    } catch (CommandLineException e) {
       System.out.println(e.why + e.what);
       return;
    }
    intestazione = i_d.common_header();
    System.out.println(intestazione); 
    intestazione = i_d.toString();
    System.out.println(intestazione); 
/* Terza prova... */
    String[] t2 = {"-h","123.456.789.123","-m","1","-r","2"};
//    System.out.println("Parsing command line" + test);
    try {
      i_d.parse_command_line(t2);
    } catch (CommandLineException e) {
       System.out.println(e.why + e.what);
       return;
    }
    intestazione = i_d.common_header();
    System.out.println(intestazione); 
    intestazione = i_d.toString();
    System.out.println(intestazione);
/* Quarta prova */ 
    try {
      i_d.parse_String("127.0.0.1\t2\t3\t4\t5\t6\t/var/log/syd/log_ch");
    } catch (ConfigurationLineException e) {
       System.out.println(e.why + e.what);
       return;
    }
    intestazione = i_d.toString();
    System.out.println(intestazione);
/* Quinta prova */ 
    try {
      i_d.parse_String("127.0.0.1\t22\t-\t-\t-\t-\t/var/log/syd/log_ch");
    } catch (ConfigurationLineException e) {
       System.out.println(e.why + e.what);
       return;
    }
    intestazione = i_d.toString();
    System.out.println(intestazione);
/* Sesta prova... */
    System.out.println("Prova di errore...");
    String[] t3 = {"-h","123.456.789.123","1","-r","2"};
//    System.out.println("Parsing command line" + test);
    try {
      i_d.parse_command_line(t3);
    } catch (CommandLineException e) {
       System.err.println(e.why + e.what);
//       return;
    }
/* Settima prova... */
    System.out.println("Prova di errore...");
    String[] t4 = {"-h","123.456.789.123","-n","1","-r","2"};
//    System.out.println("Parsing command line" + test);
    try {
      i_d.parse_command_line(t4);
    } catch (CommandLineException e) {
       System.err.println(e.why + e.what);
//       return;
    }
/* Ottava prova */ 
    System.out.println("Prova di errore...");
    try {
      i_d.parse_String("127.0.0.1\t22\t\t-\t-\t-\t/var/log/syd/log_ch");
    } catch (ConfigurationLineException e) {
       System.err.println(e.why + "\n"+ e.what);
//       return;
    }
/* Nona prova */ 
    try {
      i_d.parse_String("127.0.0.1\t40\t40\t50\t40000\t500\t/var/log/syd/log_ch");
    } catch (ConfigurationLineException e) {
       System.out.println(e.why + e.what);
       return;
    }
    try {
      i_d.check_consistency();
    } catch ( DataConsistencyException e) {}
    intestazione = i_d.toString();
    System.out.println(intestazione);
    }

}
