package syd.test;
import syd.mpx.*;

class Testmpx {
  static int N=3;
  static private Palla sender[] = new Palla[N];
  static Mpx channel;
  public static void main(String argv[]) throws InterruptedException {
    int x;
    boolean go_on = true;
    System.out.println("Start");
    channel = new Mpx(N);
    while (true) {
      for (x=0; x<N; x++) {
        sender[x] = new Palla(x,channel);
        sender[x].start();
        channel.mpx_accept(x);
      }
      do {
          x = channel.mpx_select();
          if ( x >= 0 ) 
            System.out.println("R " + x);
      } while ( x >= 0 );
      System.out.println("X");
    }
//    return;
  }
}

class Palla extends Thread{
  protected int identity;
  protected Mpx channel;
  public Palla(int id, Mpx c) {
    identity = id;
    channel = c;
    return;
  }
  public void run() {
    int i;

    try { 
      sleep((int) (Math.random() * 1000)); 
      } catch (InterruptedException e) {}
    try { 
      channel.mpx_connect(identity);
      } catch (EmitterAliveException e) {}
    for (i=0;i<4;i++) {
      try { 
        sleep((int) (Math.random() * 1000)); 
      } catch (InterruptedException e) {}
      try { 
        channel.mpx_submit(identity); 
      } catch (InterruptedException e) {
        System.out.println("Interrotto!!!");
        return;
      };
      System.out.println("* "+ identity);
    }
    try { 
        sleep((int) (Math.random() * 1000)); 
      } catch (InterruptedException e) {}
//    try { 
//      channel.mpx_connect(identity);
//      } catch (EntityAliveException e) {
//        System.out.println("Cannot connect an alive emitter");
//      }
    try { 
      channel.mpx_quit(identity);
    } catch (InterruptedException e) {
      System.out.println("Interrotto!!!");
      return;
    };
    System.out.println("q "+ identity);
  return;
  }
}
