/*
    $Id: DefaultValues.java,v 1.2 1998/01/30 15:02:24 augusto Exp $

    Copyright (C) 1997  Augusto Ciuffoletti

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Contact address: augusto@di.unipi.it

    $Log: DefaultValues.java,v $
    Revision 1.2  1998/01/30 15:02:24  augusto
    *** empty log message ***

    Revision 1.1  1997/07/23 18:00:51  augusto
    Initial revision

*/
package syd.inputdata;

public class DefaultValues {
  static String HOST="tempo.cstv.to.cnr.it";  // the address of the NTP server
  static long MIN = 20;           // the minimum communication delay (msecs)
  static long EPSILON = 250;      // the threshold for contact (msecs) 
  static long DELTA = 500;       // the threshold for contact lost (msecs) 
  static long W = 10000;         // the lapse between retries (msecs)
  static int K = 10;             // the number of retries admitted 
  static double RHO = 200.0;     // the maximum drift in ppm 
  static String HOME = "log_files";
  static String LOCKFILE = "/lar/lock/syd";
  static int PORT = 123;  

  public DefaultValues(){
    return;
  }
  public static String home() {
    return HOME;
  }

}
