package syd.server;

import java.net.*;
import java.io.*;
import java.util.*;
import java.lang.*;
import syd.inputdata.*;
import syd.logicalclock.*;
import syd.remoteclock.*;

public class Server {
  private static DatagramSocket socket = null;
  private static DatagramPacket packet = null;
  private static InetAddress address = null;
  private static int port;
  public static void main(String[] args) {
    byte[] buffer = new byte[48];
    byte[][] a;
    int i;

    try {
      socket = new DatagramSocket(1201);
      System.out.println("Timely server: replies immediately");
      while (true) {
        packet = new DatagramPacket (buffer,48);
        socket.receive(packet);
        System.out.println("-");
        address = packet.getAddress();
        port = packet.getPort();
        /* filling the buffer with new data */
        a=new byte[6][8];
        for (i=0;i<48;i++) a[i/8][i%8]=buffer[i];
        a[0][3]=(byte)-10;
	a[1][2]=(byte)1; /*  1 = 3.9 msecs of dispersion */
        a[3]=a[5];
        a[4]=(new NTPTime(SystemClock.read())).toBytes();
        a[5]=(new NTPTime(SystemClock.read())).toBytes();
        for (i=0;i<48;i++) buffer[i]=a[i/8][i%8];
        /* sending the packet */
        packet = new DatagramPacket(buffer,48,address,port);
        socket.send(packet);
      }
    } catch ( Exception e ) { e.printStackTrace(); }
  }
}





