package syd.session.test;

import syd.inputdata.*;
import syd.logicalclock.*;
import syd.remoteclock.*;

public class RemoteClockTest extends RemoteClock {
  private long t0,tr,tt,t1; /* timing of the remote clock reading */
  private long precision;   /* server's precision */
  public RemoteClockTest(InputData id) {
  super(id);
  }
  public RemoteTime read() {
    t0 = SystemClock.read();
    try {Thread.sleep(50);} catch (InterruptedException e) {}
    tr = SystemClock.read();
    try {Thread.sleep(10);} catch (InterruptedException e) {}
    tt = SystemClock.read();
    try {Thread.sleep(100);} catch (InterruptedException e) {}
    t1 = SystemClock.read();
    precision = 5;
    return new RemoteTime(t0,tr,tt,t1,precision);
  }
}
