package syd.test;

import syd.binarysemaphore.*;

class Testbinarysemaphore {
   public static void main (String[] args) throws InterruptedException {
      PallaT p,q;
      BinarySemaphore semp, semq;
      semp = new BinarySemaphore();
      p = new PallaT(semp);
      p.start();
      semq = new BinarySemaphore();
      q = new PallaT(semq,"rossa");
      q.start();
      System.out.println("Eccomi qua!"); // Stampa una frasetta
      semp.v();
      System.out.println("+ default"); // Avanzamento
      semp.v();
      System.out.println("+ default"); // Avanzamento
      semq.v();
      System.out.println("+ rossa"); // Avanzamento
      semp.x();
      System.out.println("- default"); // Avanzamento
      semq.x();
      System.out.println("- rossa"); // Avanzamento
      semp.x();
      System.out.println("- default"); // Avanzamento
      semq.x();
      System.out.println("- rossa"); // Avanzamento
      semq.v();
      System.out.println("+ rossa"); // Avanzamento
      return;
     }
  }
class PallaT extends Thread{
  private BinarySemaphore semaforo;
  private boolean term = false;
  private int contenuto = 0;
  private String nome;

  PallaT(BinarySemaphore sem) {
    this.semaforo=sem;
    this.nome = "palla-default";
  }  
  PallaT(BinarySemaphore sem, String s) {
    this.semaforo=sem;
    this.nome = "palla-" + s;
  }
  public void run () {
    int i;
    try {
      for (i=1; i<5; i++) {
        term=semaforo.p();
        if (term == false)
           this.contenuto--;
        else
           this.contenuto++;
        System.out.println("Touche':" + nome + " " + contenuto);
        try { 
          this.sleep(1000); 
        } catch (InterruptedException e) {
          System.out.println("Arrgh");
        }
      } 
    } catch (InterruptedException e) {}
    System.out.println("Valore di " + this.nome + " = " + this.contenuto);
    return;  
  }
}
